GLI 0.6.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
gli::detail Namespace Reference

## Functions
storage::size_type | imageAddressing (storage const &Storage, storage::size_type const &LayerOffset, storage::size_type const &FaceOffset, storage::size_type const &LevelOffset)
storage::size_type | texelLinearAdressing (storage::dim1_type const &Dimensions, storage::dim1_type const &TexelCoord)
storage::size_type | texelLinearAdressing (storage::dim2_type const &Dimensions, storage::dim2_type const &TexelCoord)
storage::size_type | texelLinearAdressing (storage::dim3_type const &Dimensions, storage::dim3_type const &TexelCoord)
storage::size_type | texelMortonAdressing (storage::dim1_type const &Dimensions, storage::dim1_type const &TexelCoord)
storage::size_type | texelMortonAdressing (storage::dim2_type const &Dimensions, storage::dim2_type const &TexelCoord)
storage::size_type | texelMortonAdressing (storage::dim3_type const &Dimensions, storage::dim3_type const &TexelCoord)

## Function Documentation

storage::size_type gli::detail::imageAddressing | ( | storage const & | Storage,
|  | storage::size_type const & | LayerOffset,
|  | storage::size_type const & | FaceOffset,
|  | storage::size_type const & | LevelOffset
| ) |  |

storage::size_type gli::detail::texelLinearAdressing | ( | storage::dim1_type const & | Dimensions,
|  | storage::dim1_type const & | TexelCoord
| ) |  |

storage::size_type gli::detail::texelLinearAdressing | ( | storage::dim2_type const & | Dimensions,
|  | storage::dim2_type const & | TexelCoord
| ) |  |

storage::size_type gli::detail::texelLinearAdressing | ( | storage::dim3_type const & | Dimensions,
|  | storage::dim3_type const & | TexelCoord
| ) |  |

storage::size_type gli::detail::texelMortonAdressing | ( | storage::dim1_type const & | Dimensions,
|  | storage::dim1_type const & | TexelCoord
| ) |  |

storage::size_type gli::detail::texelMortonAdressing | ( | storage::dim2_type const & | Dimensions,
|  | storage::dim2_type const & | TexelCoord
| ) |  |

storage::size_type gli::detail::texelMortonAdressing | ( | storage::dim3_type const & | Dimensions,
|  | storage::dim3_type const & | TexelCoord
| ) |  |